Page MenuHomePhabricator

Unintuitive behavior with MenuTagMultiselectWidget when allowArbitrary is set to false
Closed, ResolvedPublic

Description

This was noted in T226039: Welcome survey: turn off free text responses

Steps to reproduce:

  1. Go to the allowArbitrary: false demo for the widget
  2. Type in "blah"
  3. Press "Enter"

Expected behavior: either nothing is entered in the field or a non-capsule display of "blah" is shown

Actual behavior: "Label for abc" capsule is entered

Details

Related Gerrit Patches:

Event Timeline

kostajh created this task.Jul 10 2019, 1:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 10 2019, 1:41 PM
Volker_E assigned this task to Mooeypoo.Jul 10 2019, 2:02 PM
matmarex claimed this task.Jul 10 2019, 2:03 PM
matmarex added a subscriber: Mooeypoo.

Oh, I didn't mean to "steal" the task (thanks Phab, no edit conflict detection). But I already started investigating it.

Change 521876 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[oojs/ui@master] MenuSelectWidget: Don't highlight items when menu is closed

https://gerrit.wikimedia.org/r/521876

Change 521876 merged by jenkins-bot:
[oojs/ui@master] MenuSelectWidget: Don't highlight items when menu is closed

https://gerrit.wikimedia.org/r/521876

Change 523823 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Update OOUI to v0.33.3

https://gerrit.wikimedia.org/r/523823

Change 523823 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.33.3

https://gerrit.wikimedia.org/r/523823

matmarex edited projects, added OOUI (OOUI-0.33.3); removed OOUI.Jul 17 2019, 7:16 PM

All patches merged, can this task be resolved? If not, please associate an active project / milestone with this task - thanks!

Volker_E closed this task as Resolved.Aug 1 2019, 1:15 PM

I thought I'll leave it up to Growth team (cc: @kostajh) and their possible QA involvement. From our perspective resolved, so deliberately short-cutting here.

Yes, looks good. Thank you @matmarex and @Volker_E !